<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>net.ranides</groupId>
        <artifactId>assira.project</artifactId>
        <version>2.1.0</version>
        <relativePath>..</relativePath>
    </parent>
    <name>assira</name>
    <groupId>net.ranides</groupId>
    <artifactId>assira</artifactId>
    <packaging>jar</packaging>
	
    <properties>
        <assira.junit.debug>false</assira.junit.debug>
    </properties>

    <profiles>
        <profile>
            <id>recent-coverage</id>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.jacoco</groupId>
                        <artifactId>jacoco-maven-plugin</artifactId>
                        <version>0.7.5.201505241946</version>
                        <configuration>
                            <includes>
                                <include>net/ranides/assira/annotations/Meta*</include>
                                <include>net/ranides/assira/annotations/javac/**</include>
                                
                                <include>net/ranides/assira/awt/ImageLoader*</include>
                                <include>net/ranides/assira/awt/AWTInvoker*</include>

                                <include>net/ranides/assira/collection/arrays/NativeArrayAccess*</include>
                                <include>net/ranides/assira/collection/arrays/NativeArrayUtils*</include>
                                <include>net/ranides/assira/collection/arrays/ArrayUtils*</include>
                                <include>net/ranides/assira/collection/sets/Bitmask*</include>
                                <include>net/ranides/assira/collection/maps/Cache*</include>
                                <include>net/ranides/assira/collection/maps/MapUtils*</include>
                                <include>net/ranides/assira/collection/maps/IntMapUtils*</include>
                                <include>net/ranides/assira/collection/maps/IntMapCollectors*</include>
                                <include>net/ranides/assira/collection/maps/MapCollectors*</include>
                                <include>net/ranides/assira/collection/maps/MultiMap*</include>
                                <include>net/ranides/assira/collection/query/**</include>

                                <include>net/ranides/assira/credentials/PWDBStore*</include>

                                <include>net/ranides/assira/events/EventObserver*</include>
                                
                                <!-- <include>net/ranides/assira/io/PathUtils*</include>-->

                                <include>net/ranides/assira/lexer/**</include>
                                
                                <include>net/ranides/assira/math/Bitwise*</include>
                                
                                <include>net/ranides/assira/text/LexicalCast*</include>

                                <include>net/ranides/assira/xml/XMLQuery*</include>
                                <include>net/ranides/assira/xml/XMLWriter*</include>
                            </includes>
                        </configuration>
                    </plugin>
                </plugins>
            </build>
        </profile>
    </profiles>
	
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <excludedGroups>net.ranides.assira.junit.JCategories$Slow,net.ranides.assira.junit.JCategories$Unstable</excludedGroups>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.jacoco</groupId>
                <artifactId>jacoco-maven-plugin</artifactId>
                <version>0.7.5.201505241946</version>
                <configuration>
                    <excludes>
                        <exclude>net/ranides/assira/test/**</exclude>
                    </excludes>
                </configuration>
            </plugin>
        </plugins>
    </build>
    
    <dependencies>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
        </dependency>
        <dependency>
            <groupId>net.ranides</groupId>
            <artifactId>assira.asm</artifactId>
        </dependency>
        <dependency>
            <groupId>net.ranides</groupId>
            <artifactId>assira.junit</artifactId>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
        </dependency>
        <dependency>
            <groupId>com.google.code.findbugs</groupId>
            <artifactId>annotations</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-core</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.datatype</groupId>
            <artifactId>jackson-datatype-json-org</artifactId>
        </dependency>
        <dependency>
            <groupId>se.fishtank</groupId>
            <artifactId>css-selectors</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-net</groupId>
            <artifactId>commons-net</artifactId>
            <version>3.4</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.linguafranca.pwdb</groupId>
            <artifactId>KeePassJava2</artifactId>
            <version>2.1.1</version>
        </dependency>
    </dependencies>
</project>